libnbd (1.24.1-1ubuntu6) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable execvpe test, failing due to buildd restrictions
    - Ignore additional tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2026 18:55:23 +0100

libnbd (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1
  * Update watch file to https

 -- Hilko Bengen <bengen@debian.org>  Tue, 24 Feb 2026 00:08:38 +0100

libnbd (1.24.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on ocaml instead of transitional ocaml-nox (Closes:
    #1125121)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Jan 2026 09:06:23 +0100

libnbd (1.24.0-2ubuntu1) resolute; urgency=medium

  * Disable execvpe test, failing due to buildd restrictions

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jan 2026 08:48:36 +0100

libnbd (1.24.0-2) unstable; urgency=medium

  * Update install list for libnbd-bin
  * Add exclusions to dh-missing

 -- Hilko Bengen <bengen@debian.org>  Thu, 01 Jan 2026 20:01:58 +0100

libnbd (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * Update symbols
  * Modernize package: remove d/compat, update Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Thu, 01 Jan 2026 19:05:09 +0100

libnbd (1.22.5-1) unstable; urgency=medium

  * New upstream version 1.22.5

 -- Hilko Bengen <bengen@debian.org>  Thu, 06 Nov 2025 23:22:08 +0100

libnbd (1.22.3-1) unstable; urgency=medium

  * New upstream version 1.22.3

 -- Hilko Bengen <bengen@debian.org>  Tue, 29 Jul 2025 20:17:47 +0200

libnbd (1.22.2-1) unstable; urgency=medium

  * New upstream version 1.22.2

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Apr 2025 13:23:12 +0200

libnbd (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Rebase patches
  * Update symbols file

 -- Hilko Bengen <bengen@debian.org>  Wed, 12 Feb 2025 21:27:30 +0100

libnbd (1.20.3-1) unstable; urgency=medium

  * New upstream version 1.20.3

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Sep 2024 13:09:31 +0200

libnbd (1.20.2-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Do not hardcode /usr/lib/ocaml (Closes: #1077897)

 -- Hilko Bengen <bengen@debian.org>  Wed, 07 Aug 2024 00:42:32 +0200

libnbd (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2
  * Add gbp configuration

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Jun 2024 08:09:41 +0000

libnbd (1.20.1-1) unstable; urgency=medium

  * New upstream version 1.20.1

 -- Hilko Bengen <bengen@debian.org>  Wed, 08 May 2024 09:27:40 +0200

libnbd (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0
  * Update patches

 -- Hilko Bengen <bengen@debian.org>  Fri, 05 Apr 2024 10:22:31 +0200

libnbd (1.18.2-2) unstable; urgency=medium

  * Add extend-diff-ignore entries to fix building twice from source tree
    (Closes: #1048930)
  * Don't test nbd-server interop for now (Closes: #1066766)
  * Update pkg-config build-dependency

 -- Hilko Bengen <bengen@debian.org>  Thu, 14 Mar 2024 11:33:27 +0100

libnbd (1.18.2-1) unstable; urgency=medium

  * New upstream version 1.18.2
  * Drop patch

 -- Hilko Bengen <bengen@debian.org>  Wed, 17 Jan 2024 20:55:16 +0100

libnbd (1.18.1-1) unstable; urgency=high

  * New upstream version 1.18.1
  * Add upstreeam patch to fix CVE-2023-5871. Closes: #1055170

 -- Hilko Bengen <bengen@debian.org>  Wed, 01 Nov 2023 18:20:18 +0100

libnbd (1.18.0-1) unstable; urgency=medium

  * New upstream version 1.18.0
  * Update symbols file

 -- Hilko Bengen <bengen@debian.org>  Tue, 24 Oct 2023 12:35:39 +0200

libnbd (1.16.5-1) unstable; urgency=medium

  * New upstream version 1.16.5

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Sep 2023 14:00:17 +0200

libnbd (1.16.4-1) unstable; urgency=medium

  * New upstream version 1.16.4

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Sep 2023 18:24:34 +0200

libnbd (1.16.3-1) unstable; urgency=medium

  * New upstream version 1.16.3

 -- Hilko Bengen <bengen@debian.org>  Wed, 19 Jul 2023 23:44:33 +0200

libnbd (1.16.2-1) unstable; urgency=medium

  * New upstream version 1.16.2

 -- Hilko Bengen <bengen@debian.org>  Mon, 26 Jun 2023 16:39:43 +0200

libnbd (1.16.1-1) unstable; urgency=medium

  * New upstream version 1.16.1
  * Update patches
  * Update symbols file

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Jun 2023 12:15:36 +0200

libnbd (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Set correct python install dir

 -- Hilko Bengen <bengen@debian.org>  Wed, 04 Jan 2023 10:31:03 +0100

libnbd (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1
  * Add nbddump to libnbd-bin
  * Add qemu-system-common build-dependency (qemu-storage-daemon)
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Aug 2022 22:29:41 +0200

libnbd (1.12.7-1) unstable; urgency=medium

  * New upstream version 1.12.7

 -- Hilko Bengen <bengen@debian.org>  Tue, 02 Aug 2022 13:18:00 +0200

libnbd (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6

 -- Hilko Bengen <bengen@debian.org>  Thu, 28 Jul 2022 20:30:06 +0200

libnbd (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5

 -- Hilko Bengen <bengen@debian.org>  Thu, 14 Jul 2022 11:40:15 +0200

libnbd (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4

 -- Hilko Bengen <bengen@debian.org>  Tue, 14 Jun 2022 11:56:29 +0200

libnbd (1.12.3-1) unstable; urgency=medium

  * New upstream version 1.12.3

 -- Hilko Bengen <bengen@debian.org>  Mon, 30 May 2022 08:51:38 +0200

libnbd (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1

 -- Hilko Bengen <bengen@debian.org>  Wed, 02 Mar 2022 21:16:33 +0100

libnbd (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Update .symbols file

 -- Hilko Bengen <bengen@debian.org>  Sun, 27 Feb 2022 21:03:25 +0100

libnbd (1.10.5-1) unstable; urgency=medium

  * New upstream version 1.10.5

 -- Hilko Bengen <bengen@debian.org>  Fri, 11 Feb 2022 13:33:00 +0100

libnbd (1.10.3-1) unstable; urgency=medium

  * New upstream version 1.10.3

 -- Hilko Bengen <bengen@debian.org>  Tue, 18 Jan 2022 13:27:31 +0100

libnbd (1.10.2-1) unstable; urgency=medium

  * New upstream version 1.10.2
  * Rebase patches
  * No longer override nbdkit location
  * Bump debhelper compat level
  * Update build-dependencies for checks, no longer run fuse-related checks

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 18:50:42 +0100

libnbd (1.8.5-1) unstable; urgency=medium

  * New upstream version 1.8.5
  * Update upstream signing key

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Sep 2021 13:32:50 +0200

libnbd (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * Update upstream signing key

 -- Hilko Bengen <bengen@debian.org>  Wed, 18 Aug 2021 11:26:18 +0200

libnbd (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Update libfuse build-dependency
  * Update symbols

 -- Hilko Bengen <bengen@debian.org>  Sun, 15 Aug 2021 10:03:30 +0200

libnbd (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3

 -- Hilko Bengen <bengen@debian.org>  Sun, 04 Apr 2021 17:01:22 +0200

libnbd (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Mar 2021 09:36:41 +0100

libnbd (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1

 -- Hilko Bengen <bengen@debian.org>  Wed, 10 Feb 2021 00:20:57 +0100

libnbd (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Update symbols file
  * Install bash-completions
  * Update patch for FUSE-related tests

 -- Hilko Bengen <bengen@debian.org>  Fri, 08 Jan 2021 22:49:44 +0100

libnbd (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1

 -- Hilko Bengen <bengen@debian.org>  Sat, 12 Sep 2020 16:01:36 +0200

libnbd (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Update symbols file
  * Rename nbdfuse to libnbd-utils because new programs have been added.

 -- Hilko Bengen <bengen@debian.org>  Thu, 27 Aug 2020 20:22:37 +0200

libnbd (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 05 May 2020 00:06:21 +0200

libnbd (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Hilko Bengen <bengen@debian.org>  Thu, 20 Feb 2020 12:39:25 +0100

libnbd (1.2.1-2) unstable; urgency=high

  * Source-only re-upload to unstable because package won't migrate to
    testing otherwise.

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Jan 2020 10:29:14 +0100

libnbd (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Drop patches; add bashism fix
  * Add nbdfuse package
  * Update symbols file
  * Update install target
  * Add missing dh-python build-dependency
  * Add checks to FUSE-specific tests

 -- Hilko Bengen <bengen@debian.org>  Mon, 20 Jan 2020 16:38:21 +0100

libnbd (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Fixes remote code execution vulnerability described in
    https://www.redhat.com/archives/libguestfs/2019-October/msg00060.html
    (Closes: 942215)

 -- Hilko Bengen <bengen@debian.org>  Sun, 13 Oct 2019 01:59:04 +0200

libnbd (1.0.2-5) unstable; urgency=medium

  * Increase waiting period in interop test for slow buildds

 -- Hilko Bengen <bengen@debian.org>  Tue, 08 Oct 2019 09:50:17 +0200

libnbd (1.0.2-4) unstable; urgency=medium

  * Replace patch for interop test for slow buildds

 -- Hilko Bengen <bengen@debian.org>  Tue, 08 Oct 2019 08:45:46 +0200

libnbd (1.0.2-3) unstable; urgency=medium

  * Add patch to add retry to the interop tests

 -- Hilko Bengen <bengen@debian.org>  Tue, 08 Oct 2019 02:30:56 +0200

libnbd (1.0.2-2) unstable; urgency=medium

  * Add patch to fix OCaml tests for architectures without ocamlopt

 -- Hilko Bengen <bengen@debian.org>  Tue, 08 Oct 2019 00:11:23 +0200

libnbd (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2

 -- Hilko Bengen <bengen@debian.org>  Tue, 17 Sep 2019 19:59:27 +0200

libnbd (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Includes patch to make package reproducible (Closes: #939546)

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Sep 2019 22:56:04 +0200

libnbd (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Update watch file for stable release
  * Add packages for OCaml bindings
  * Update symbols file

 -- Hilko Bengen <bengen@debian.org>  Thu, 29 Aug 2019 11:12:25 +0200

libnbd (0.1.9-1) unstable; urgency=medium

  * Initial release (Closes: #933223)

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Jul 2019 20:11:33 +0200

